Skip to main content
GET
/
api
/
v1
/
notebooks
List all notebooks for the tenant with note counts.
curl --request GET \
  --url https://api.backside.app/api/v1/notebooks \
  --header 'Authorization: Bearer <token>'
[
  {
    "created_at": "2023-11-07T05:31:56Z",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "is_default": true,
    "metadata": "<unknown>",
    "name": "<string>",
    "position": 123,
    "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "updated_at": "2023-11-07T05:31:56Z",
    "note_count": 123,
    "color": "<string>",
    "deleted_at": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json
created_at
string<date-time>
required
id
string<uuid>
required
is_default
boolean
required
metadata
any
required
name
string
required
position
integer<int32>
required
tenant_id
string<uuid>
required
updated_at
string<date-time>
required
note_count
integer<int64>
required
color
string | null
deleted_at
string<date-time> | null
description
string | null
parent_id
string<uuid> | null